GUPD_WS(3NCARG)

NAME
gupd_ws (Update workstation) - Insures that the workstation is current and reflects all requests that have been made.

SYNOPSIS
#include <ncarg/gks.h>

void gupd_ws(Gint ws_id, Gupd_regen_flag upd_regen_flag);

DESCRIPTION

ws_id
    (Input) A number identifying the workstation to be updated. ws_id must be the same as that used in some previous gopen_ws call.

upd_regen_flag
    (Input) A flag to specify if the current picture should be regenerated. The possible values include:

    GUPD_NOT_PEND
        Postpone

    GUPD_PEND
        Perform

For the workstation types supported in NCAR GKS, this flag should always be set to GUPD_PEND.

USAGE
A call to gupd_ws flushes all buffers to bring the workstation up to date.

ACCESS
To use the GKS C-binding routines, load the ncarg_gks, and ncarg_c libraries.

SEE ALSO
Online: sflush(3NCARG), plotif(3NCARG), gks(3NCARG), ncarg_gks_cbind(3NCARG)

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.